# Uses of Enum Class
org.apache.sysds.parser.Statement.PSScheme

Packages that use Statement.PSScheme
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram.paramserv
org.apache.sysds.runtime.controlprogram.paramserv.dp

## Uses of Statement.PSScheme in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Statement.PSScheme
Modifier and Type
Method
Description
`static Statement.PSScheme`
Statement.PSScheme.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statement.PSScheme[]`
Statement.PSScheme.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Statement.PSScheme in org.apache.sysds.runtime.controlprogram.paramserv

Methods in org.apache.sysds.runtime.controlprogram.paramserv with parameters of type Statement.PSScheme
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<Integer,scala.Tuple2<MatrixBlock,MatrixBlock>>`
SparkParamservUtils.`doPartitionOnSpark(SparkExecutionContext sec, MatrixObject features, MatrixObject labels, Statement.PSScheme scheme, int workerNum)`

## Uses of Statement.PSScheme in org.apache.sysds.runtime.controlprogram.paramserv.dp

Constructors in org.apache.sysds.runtime.controlprogram.paramserv.dp with parameters of type Statement.PSScheme
Modifier
Constructor
Description
``
`DataPartitionerSparkMapper(Statement.PSScheme scheme, int workersNum, SparkExecutionContext sec, int numEntries)`
``
`LocalDataPartitioner(Statement.PSScheme scheme)`